#
#
# Copyright (C) 1992-1997 NeoSoft.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose and without fee is hereby granted, provided
# that the above copyright notice appear in all copies.  NeoSoft makes no 
# representations about the suitability of this software for any purpose.
# It is provided "as is" without express or implied warranty.

#
# $Id: xkeylget.tcl,v 1.1.1.1 1999/03/31 20:34:40 damon Exp $
#

#@package: xkeylget xkeylget


proc xkeylget {keylistName args} {
    upvar $keylistName keylist
    if {[llength $args] % 2 != 0} {error "odd number of key-varname pairs"}
    while {$args != ""} {
        set elementName [lindex $args 0]
        set varName [lindex $args 1]
        set args [lrange $args 2 end]
        keylget keylist $elementName value
        uplevel set $varName [list $value]
    }
}
